package com.ruoyi.clock.enums;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;

/**
 * @author 活动类型
 */
public enum ActivityTypeEnum implements IIntegerEnum<String> {

    REVIEW("0", "晒单打卡"),
    SALES("1", "晒单打卡"),

    ;

    private String code;
    private String msg;

    ActivityTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ActivityTypeEnum getByCode(int code, ActivityTypeEnum[] values) {
        for (ActivityTypeEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
